<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   	<extension
   		point="org.eclipse.ui.perspectives">
		<perspective
			class="interactivefeaturelocator.perspective.IFLPerspectiveFactory"
			id="interactivefeaturelocator.perspective.perspective"
			name="InteractiveFeatureLocator"/>
	</extension>	
	
	<extension
		point="org.eclipse.ui.views">
	  	<category
			name="Sample Category"
	        id="InteractiveFeatureLocator">
		</category>
		<view
	        name="Trace View"
	        icon="icons/sample.gif"
	        category="InteractiveFeatureLocator"
	        class="interactivefeaturelocator.views.TraceView"
	        id="interactivefeaturelocator.views.traceview">
		</view>
	 	<view
	       category="InteractiveFeatureLocator"
	       class="interactivefeaturelocator.views.InteractiveDerivationView"
	       icon="icons/sample.gif"
	       id="interactivefeaturelocator.views.interactivederivationview"
	       name="Interactive Derivation View">
 		</view>
   	</extension>
   	
   	<extension
   		point="org.eclipse.ui.perspectiveExtensions">
    <perspectiveExtension
        targetID="org.eclipse.jdt.ui.JavaPerspective">
	    <view
	    	ratio="0.5"
            relative="org.eclipse.ui.views.ProblemView"
            relationship="right"
            id="interactivefeaturelocator.views.TraceExplorerView">
        </view>
	</perspectiveExtension>
   	</extension>
   	<extension
   		point="org.eclipse.help.contexts">
	<contexts
		file="contexts.xml">
	</contexts>
   	</extension>
    <extension
          point="org.eclipse.ui.actionSets">
       <actionSet
             id="interactivefeaturelocator.actionSet"
             label="Input Trace ActionSet"
             visible="true">
	       <menu
    	   		label="Input Trace"
       			id="inputTraceMenu">
   				<separator
	   				name="inputTraceGroup">
				</separator>
			</menu>
			<action
				label="Input Trace Action"
				icon="icons/sample.gif"
				class="interactivefeaturelocator.actions.InteractiveFeatureLocatorAction"
				tooltip="InteractiveFeatureLocator"
				menubarPath="inputTraceMenu/inputTraceGroup"
				toolbarPath="inputTraceGroup"
				id="interactivefeaturelocator.actions.InputTrace">
			</action>
       </actionSet>
    </extension>
</plugin>
